summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-30 05:27:11 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-30 05:35:55 +0200
commit37ac366be3468294a4cd87fbede43bbc9ac4dfb8 (patch)
treee883c1233598eef85219eb3373a9b3dd3a7fac1d
parentprofiles/package.mask: last-rite dev-db/sqliteodbc (diff)
downloadgentoo-37ac366be3468294a4cd87fbede43bbc9ac4dfb8.tar.gz
gentoo-37ac366be3468294a4cd87fbede43bbc9ac4dfb8.tar.bz2
gentoo-37ac366be3468294a4cd87fbede43bbc9ac4dfb8.zip
media-gfx/qrencode: Bump to 4.1.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--media-gfx/qrencode/Manifest1
-rw-r--r--media-gfx/qrencode/qrencode-4.1.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/media-gfx/qrencode/Manifest b/media-gfx/qrencode/Manifest
index 317f19945c5..81f3a0d3904 100644
--- a/media-gfx/qrencode/Manifest
+++ b/media-gfx/qrencode/Manifest
@@ -1 +1,2 @@
DIST qrencode-4.0.2.tar.bz2 430309 BLAKE2B 1f68d2a921ba60df3a6c7381d7886b27a2876f90771d78c12d5d0fed2d6a4edb4d7da5985e2b244406a0cf3434b351fbec8b12c5944c365078ef2b227edb0acd SHA512 2429c7938e32eacbaf327c029c7745ba33259f879661a8b6470cc617c780daf5bd1d5689599151df62e84badd2568eccab6c12f157331e512ab24a3899e0f002
+DIST qrencode-4.1.0.tar.bz2 449040 BLAKE2B cff4e950a436e2bb3a73543ce11639861426840db6861eefd3d641dcb14cd6b4be7c2045468a002f7599a89aa71c77f7dfc971dd726ecce0d524f9b792ea6e91 SHA512 50ccc65f748cc1007dccd8d0eee0063b870c3e8a5fe5b8b2a813881151a86748a36844bcfa6ab08c82674b80e9b5bcbfd564ade92562cc49e01cbfa45376b4a9
diff --git a/media-gfx/qrencode/qrencode-4.1.0.ebuild b/media-gfx/qrencode/qrencode-4.1.0.ebuild
new file mode 100644
index 00000000000..0c26d1d08ec
--- /dev/null
+++ b/media-gfx/qrencode/qrencode-4.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="C library for encoding data in a QR Code symbol"
+HOMEPAGE="https://fukuchi.org/works/qrencode/"
+SRC_URI="https://fukuchi.org/works/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0/4"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="media-libs/libpng:0="
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_configure() {
+ local myconf=(
+ $(use_with test tests)
+ # TODO: figure out how to make SDL check fail as the SDL test
+ # program is not useful
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_test() {
+ cd tests || die
+ ./test_basic.sh || die
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}